Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-rsslib
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-rsslib
Version:        0
Release:        alt1_13.20130310
Summary:        Create RSS feeds in Python
License:        Copyright only
URL:            http://berserk.org/rsslib/
Source0:        http://berserk.org/rsslib/rsslib.txt
BuildArch:      noarch
BuildRequires:  python-devel


%global _description\
This library encapsulates the generation of an RSS (2.0) feed.\

Source44: import.info


%description 

%_description
%prep
%setup -n %{oldname}-%{version} -c -T
cp %{SOURCE0} ./rsslib.py
cat >setup.py <<EOS
#!/usr/bin/env python2

from distutils.core import setup

setup(name='rsslib',
      version='0',
      description='%{summary}',
      author='Cameron Mallory',
      author_email='cmallory@berserk.org',
      url='http://berserk.org/rsslib/',
      py_modules=['rsslib'],
     )
EOS


%build
python2 setup.py build


%install
python2 setup.py install -O1 --skip-build --root %{buildroot}


%files -n python-module-rsslib
%{python_sitelibdir_noarch}/*


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_13.20130310
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0-alt1_11.20130310
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_10.20130310
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0-alt1_8.20130310
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_7.20130310
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0-alt1_6.20130310
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0-alt1_5.20130310
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0-alt1_4.20130310
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_3.20130310
- update to new release by fcimport

* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_2.20130310
- initial fc import

